@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;700&display=swap');
@import './variables.css';
@import './utilities.css';

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /* For font smoothing */
    -webkit-font-smoothing: antialiased;
}

body {
    font-family: 'Montserrat', sans-serif;
    color: var(--pure);
    /* height: 4000px; */
    background-color: var(--primary);
    overflow-x: hidden;
}
header{

    /* First 3 digits shows the color and the last digit shows the opacity in rgba(0,0,0,1) */

    background: linear-gradient(135deg, rgba(0,0,0,1), rgba(0,0,0,0.2)),url('../img/sunrise.jpg');
    /* min-height: 100vh; */
    background-size: cover;
    position: relative;
}

header nav.desktop-nav{
    /* Top, Right, Bottom, Left */
    padding: 20px 40px 20px 100px;

    /* Creating navbar using grid */
    display: grid;
    grid-template-columns: 1fr 2fr;

    /* Vertically Center */
    align-items: center;

    border-bottom: 1px solid var(--gray);
}

header nav.desktop-nav .nav-right{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header nav.desktop-nav .nav-right a{
    /* For removing underline */
    text-decoration: none; 

    /* For color */
    color: var(--pure);
    margin-right: 30px;
    position: relative;
}

/* For bodder */
header nav.desktop-nav .nav-right a::after{
    content: "";
    position: absolute;
    left: 0;
    bottom: -30px;
    width: 0;
    height: 2px;
    background-color: var(--pure);
    transition: all 0.3s ease-in-out;
}
header nav.desktop-nav .nav-right a:hover::after{
    width: 70%;
}
header nav .nav-right a.active::after{
    width: 70%;
}
header nav.desktop-nav .nav-right .search > div, header nav.mobile-nav .search >div{
    background: var(--dark);
    display: flex;
    align-items: center;
    padding: 10px 15px;
    border-radius: 50px;
}
header nav.desktop-nav .nav-right .search > div input, header nav.mobile-nav .search >div input{
    background: transparent;
    border: none;
    outline: none;
    font-size: 16px;
    color: var(--pure);
}
header nav.desktop-nav .nav-right .search > div img, header nav.mobile-nav .search >div img{
    padding-right: 16px;
}
.social > div{
    border: 2px solid var(--pure);
    width: 40px;
    height: 40px;

    /* For making it round */
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    margin-bottom: 30px;
    opacity: 0;
}

@keyframes movein{
    from{
        transform: translateX(-100px);
    }
    to{
        transform: translateX(0);
        opacity: 1;
    }
}

/* For changing the color of icons which we are getting from font-awesome */
.social svg path{
    fill: var(--pure);
    transition: all .5s ease-in-out;
}

.social div:hover svg path{
    fill: var(--dark);
}

.social div:hover{
    background: var(--pure);
}

.hero{
    position: relative;
}

.social{
    position: absolute;
    top: 0;
    left: 0;
    border-right: 1px solid var(--gray);
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    min-height: 90vh;
}
.hero .cta{
    display: flex;
    align-items: center;
    justify-content: space-between;

    /* Here we are suing calculation propertry of CSS. we have substracted 80px becuse it is the size of the nav bar */

    min-height: calc(100vh - 80px);

}

.hero .cta h1{
    font-weight: 400;
    font-size: 22px;
    line-height: 1.7;
    margin-bottom: 30px;
}
.hero .cta .left-section{
    padding: 0 60px 0 30px;
    margin-left: 50px;
}
.hero .cta > div{
    flex: 1;
}
.hero .cta .right-section img{
    height: 70vh;
    transform: rotate(20deg) ;
    animation: moveInSpace 12s ease-in-out infinite alternate;
}

/* We Can use a single value in keyframes so that the object will gwt back to its original position after animatiomn */
@keyframes moveInSpace {
    50%{
        transform: translateY(100px)rotate(-30deg)  scale(0.8);
    }
}

.strip{
    display: flex;
    align-items: center;
    justify-content: space-around;
    background: var(--dark);
    padding: 50px 0;
}

section.rocket{
   display: grid;
   grid-template-columns: 1fr 100px 1fr;
   grid-gap: 80px;
   padding: 100px 0;
}
section.rocket .rocket-body{
    display: flex;
    flex-direction: column;
    justify-content: center;
}
/* For removing the space between roclet images */
section.rocket .rocket-body span{
    font-size: 0;
    position: relative;
}
section.rocket .rocket-body span img{
    width: 100%;
}
section.rocket .block{
    width: 70%;
}
section.rocket .block h1{
    font-size: 32px;
    font-weight: 400;
}
section.rocket .block .with-under-line{
    position: relative;
    margin-bottom: 38px;
}

section.rocket .block .with-under-line::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -12px;
    display: block;
    width: 38%;
    height: 2px;
    background: var(--pure);
}
section.rocket .block h1.with-under-line::before{
    width: 20%;
}
section.rocket p {
    line-height: 1.6;
}
section.rocket h2{
    font-weight: 400;
    margin-bottom: 20px;
}
section.rocket .block.payload{
    padding-top: 130px;
}
section.rocket .block.payload h2{
    padding-left: 80px;
}
section.rocket .block.dragon{
    padding-top: 120px;
}
section.rocket .block button{
    margin-top: 30px;
}
section.rocket .block.composite{
    padding-top: 60px;
}
section.rocket .block.first-stage{
    padding-top: 60px;
}
section.rocket .block.capacity{
    display: flex;
    align-items: center;
    padding-top: 40px;
}
section.rocket .block.capacity > div:first-child{
    margin-right: 40px;
}
section.rocket .block.capacity h4{
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 20px;
}
section.rocket .block.capacity h6{
    font-size: 40px;
    font-weight: 400;
}
section.rocket .block.capacity h6 small{
    font-size: 12px;
}
section.rocket .block.second-stage{
    padding-top: 60px;
}
section.rocket .right-block .block.capacity{
    padding-top: 120px;
}
section.rocket .right-block .block.capacity.single{
    padding-top: 40px;
}
section.rocket .right-block .block.engines{
    display: flex;
    justify-content: center;
    padding-top: 40px;
}
section.rocket .right-block .block.engines img{
    width: 180px;
}
section.rocket .right-block .block.marine {
    padding-top: 100px;
    width: 70%;
}

section.rocket .right-block .block.marine h2 {
    font-size: 14px;
    padding-left: 100px;
    margin-bottom: 26px;
}
section.rocket .right-block .floating-graphics{
    position: sticky;
    float: right;
    top: 60px;
    margin-right: -50px;
}
section.rocket .right-block .floating-graphics img{
    height: 350px;
}
section.rocket .rocket-body span:after, section.rocket .rocket-body span:nth-child(3):before{
    content: "";
    display: block;
    position: absolute;
    height: 2px;
    width:0;
    background: var(--pure);
    transition: width 1s ease-in-out;
}
section.rocket .rocket-body span:nth-child(1):after{
    bottom: 16px;
    left: 96%;
}
section.rocket .rocket-body span:nth-child(2):after{
    bottom: 62%;
    right: 100%;
   
}
section.rocket .rocket-body span:nth-child(3):after{
    bottom: 52%;
    right: 90%;
   
}
section.rocket .rocket-body span:nth-child(3):before{
   bottom: 30%;
   left: 90%;
   
}
section.rocket .rocket-body span.active:nth-child(1):after{
    width: 120px;
}
section.rocket .rocket-body span.active:nth-child(2):after{
    width: 180px;
}
section.rocket .rocket-body span.active:nth-child(3):after{
    width: 200px;
}
section.rocket .rocket-body span.active:nth-child(3):before{
    width: 160px;
}

@keyframes jump{
    50%{
        transform: translateY(-50px);
    }
}
section.rocket .rocket-body span.active:nth-child(1){
    animation: jump 1s ease-in-out forwards;
}
footer{
    background: var(--dark);
    padding: 64px 0;
}
footer > div{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

footer .copy-right span{
    font-size: 17px;
    display: inline-block;
    margin-top: 5px;
}
footer .copy-right img{
    height: 30px;
}
footer h1{
    font-size: 18px;
    position: relative;
    margin-bottom: 30px;
}
footer h1:after{
    content: '';
    position: absolute;
    left: 0;
    bottom: -8px;
    display: block;
    width: 60px;
    height: 2px;
    background-color: var(--pure);
}
footer ul{
    list-style: none;
    /* text-decoration: none; */
}
/* Selecting even li of ul */
footer ul li:nth-child(even){
    margin: 10px 0;
}
footer ul li a{
    color: var(--mild);
    text-decoration: none;
    font-size: 14px;
    transition: all .3s ease-in-out;
}
footer ul li a:hover{
    color: var(--pure);
}
footer .footer-links a{
    margin-right: 20px;
    font-size: 22px;

    /* We can change the color of the icons of the font awesome by siply giving the color property or by using svg path----> fill property also */

    /* color: var(--mild); */
    transition: all .3s ease-in-out;
}
.footer-links svg path{
    fill: var(--mild);
}
.footer-links svg path:hover{
    fill: var(--pure);
}

/* footer .footer-links a:hover{
    color: var(--pure);
} */

/* ----------------------------Mobile Nav--------------------------------- */

.hamberger{
    position: absolute;
    top: 40px;
    right: 40px;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
    display: none;
}
.hamberger img{
    width: 40px;
}
.mobile-nav {
    position: absolute;
    top: 0px;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--dark);
    z-index: 101;
    bottom: 0;
    transform: translateX(-150%);
}

/* For adding .transition  */
.transition{
    transition: all 0.5s ease-in-out;
}

/* To get it (Mobile Nav) back on the original position */
.open{
    transform: translateX(0);
}

.mobile-nav ul{
    position: absolute;
    padding: 1rem 5rem;
    width: 100%;
    height: 100%;
}

.mobile-nav ul li{
    list-style-type: none;
    text-align: center;
    padding: 2rem 0;
}

.mobile-nav ul li a{
    text-decoration: none;
    color: var(--pure);
    font-size: 2rem;
   
}
.mobile-nav-header{
    display: flex;
    flex-basis: 40%;
    align-items: center;
    justify-content: space-evenly;
    padding: 2rem 0;
    border-bottom: 1px solid var(--pure);
}

header nav.mobile-nav .search >div{
    background: var(--pure);
    width: 100%;
}

.mobile-nav-header .brand{
    padding: 1rem 0;
}

.mobile-nav-header .times{
    background: none;
    border: none;
}

.mobile-nav-header .times img{
    height: 30px;
    width: 30px;
    background: transparent;
    filter: invert(100%);
}



/* --------------------------Media Querues---------------------------------- */


/* --------------------------For Tablet------------------------------ */


@media only screen and (max-width: 1150px)
{
    header{
       height: 100vh;
       width: 100vw;
    }
    header nav.desktop-nav{
        display: none;
    }
    .hamberger{
        display: block;
    }
    .hero {
        position: static;
       
    }
    .hero .cta {
        flex-direction: column-reverse;
    }
    .hero .cta .right-section img {
        padding-top: 5rem;
        height: 60vh;
    }
    .social {
        min-height: 100vh;
    }
    .social > div {
        width: 4rem;
        height: 4rem;
    }
    section.hero .social >div a{
        font-size: 20px;
    }
    section.rocket .rocket-body {
        justify-content: flex-start;
    }
    section.rocket {
        grid-gap: 50px;
    }
    .left-block{
        width: 150%;
    }
    .right-block{
        width: 150%;
    }
    section.rocket .block .with-under-line {
        font-size: 25px;
        margin-bottom: 20px;
    }
    section.rocket .block.dragon {
        padding-top: 62px;
    }
    section.rocket .block.composite {
        padding-top: 30px;
    }
    section.rocket .right-block .block.marine {
        padding-top: 26px;
    }
    section.rocket .right-block .block.marine h2 {
        font-size: 20px;
        padding-left: 0;
        margin-bottom: 44px;
    }
    section.rocket .right-block .floating-graphics img {
        width: 0;
        display: none;
    }
    footer > div {
        grid-gap: 20px;
    }
    html {
        overflow-x: hidden;
    }
}

/* --------------------------For Mobile------------------------ */

@media only screen and (max-width: 576px)
{
    .mobile-nav-header{
        justify-content: space-evenly;
        padding: 1rem 2rem;
    }
    header nav.mobile-nav .search >div {
        display: none;
    }
    .brand a img{
        width: 80%;
    }
    .hero .cta h1 {
        font-size: 14px;
        margin-left: 1rem;
    }
    .social > div {
        width: 2rem;
        height: 2rem;
    }
    .social {
        width: 4rem;
    }
    .hero .cta .right-section img {
        height: 55vh;
        margin-bottom: 4rem;
    }
    .hamberger img {
        width: 35px;
    }
    .btn {
        padding: 8px 20px;
    }
    .strip h1{
        font-size: 1.3rem;
    }
    section.rocket {
        grid-gap: 1rem;
    }
    section.rocket {
        grid-template-columns: 0.1fr 50px 0.1fr;
        padding-bottom: 15px;
    }
    section.rocket .block .with-under-line {
        font-size: 15px;
    }
    section.rocket p {
        font-size: 10px;
    }
    section.rocket .block {
        width: 50%;
        padding-right: 0px;
    }
    section.rocket .block button {
        padding: 2px 5px;
        font-size: 10px;
    }
    section.rocket .block button {
        margin-top: 12px;
    }
    section.rocket .block.payload h2 {
        padding-left: 10px;
        font-size: 15px;
    }
    .block.payload h1{
        font-size: 15px;
    }
    section.rocket .right-block .block.engines img {
        width: 95px;
        margin-top: 40px;
    }
    section.rocket .block.capacity h6 {
        font-size: 12px;
    }
    section.rocket .block.dragon {
        display: none;
    }
    section.rocket .right-block .block.marine {
        display: none;
    }
    section.rocket .rocket-body span img {
        width: 120%;
        margin-left: -10px;
    }
    section.rocket .block.capacity > div:first-child {
        margin-right: 17px;
    }
    section.rocket .right-block .block.capacity {
        padding-top: 90px;
    }
    .right-block {
        margin-left: 10px;
    }
    .left-block {
        margin-top: -28px;
    }
    section.rocket .block.payload {
        padding-top: 52px;
    }
    section.rocket .rocket-body span.active:nth-child(2):after {
        width: 130px;
    }
    section.rocket .rocket-body span.active:nth-child(3):after {
        width: 130px;
    } section.rocket .rocket-body span.active:nth-child(3):before {
        width: 130px;
    }
    section.rocket .block.composite {
        padding-top: 45px;
    }
    section.rocket .right-block .block.capacity.single {
        padding-top: 105px;
    }
    section.rocket .block.second-stage {
        padding-top: 90px;
    }
    .copy-right{
        display: none;
    }
    footer > div {
        grid-gap: 38px;
    }
    footer {
        background: var(--dark);
        padding: 25px 10px;
    }
}
   